Subject: bug#2806: characters from unicode-sip coderange still not displaying properly

From: Kenichi Handa <[email-masked]>
Date: Tue, 15 Dec 2009 14:56:37 +0900

In article <[email-masked]>, Christian Wittern <[email-masked]> writes:

> I just confirmed with the released version 23.1 that this problem is
> still existing.  It is very disappointing and keeps all Mac users I
> know from upgrading to the otherwise wonderful release 23.  Is there
> anything I can do to help getting this issue fixed?

Emacs supports unicode-sip displaying at least on Unix/Linux
where we can use fontconfig and freetype.  See the attached
image (result of M-x list-charset-chars RET unicode-sip
RET).  Emacs asks a font-backend to get a font whose
registry is "unicode-sip", and fontconfig backend searches
for fonts that support at least U+20000 for such a request.

Perhaps, Mac's font-backend is not doing that.

---
Kenichi Handa
[email-masked]